%define piname	objsearch_pi
%define _disable_ld_no_undefined 1

Name:		opencpn-objsearch-plugin
Summary:	Chart Object Search plugin for OpenCPN
Version:	0.26.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/chartobject.html
Source0:	https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
#download https://github.com/OpenCPN/opencpn-libs/archive/refs/tags/main@257338e.tar.gz
Source1:    opencpn-libs-main-257338e.tar.gz
Patch0:     opencpn-libs-257338e-tinyxml.patch
Patch1:     opencpn-libs-257338e-json.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Allows search of named objects on S-57 s63 and CM93 vector charts.

Note: After the installation, the plug-in does not know anything about your
charts, you must view a chart at least once to populate the plug-in's database
with it's content.
This one time operation makes OpenCPN slower, however during subsequent views
of the same chart the speed of the application is unaffected.
Once the database is populated, the charts are no longer needed, so if you
prefer to use raster charts, you can populate the database from the ENC
chartset and then switch back to RNC charts and the search capabilities will
still be available.

%prep
%autosetup -a1 -p1 -n %{piname}-%{version}
mv opencpn-libs-main-257338e/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mv %{_vpath_builddir}/app/ObjSearch-0.26-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale


%changelog
* Sat Jan 13 2024 philippedidier <philippedidier> 0.26.0-2.mga9
+ Revision: 2030957
- rebuilt upon more recent opencpn-libs

* Tue May 30 2023 philippedidier <philippedidier> 0.26.0-1.mga9
+ Revision: 1959944
- new version 0.26.0 built upon wxgtku 3.2

* Sun Apr 03 2022 umeabot <umeabot> 0.21-9.mga9
+ Revision: 1842549
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 0.21-8.mga9
+ Revision: 1737411
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- correction of  Source URL

* Mon Jul 12 2021 barjac <barjac> 0.21-7.mga9
+ Revision: 1735756
- Build with wxgtku3.0 not 3.1

* Fri Jan 01 2021 wally <wally> 0.21-6.mga8
+ Revision: 1667714
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.21-5.mga8
+ Revision: 1614355
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.21-4.mga8
+ Revision: 1539486
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.21-3.mga8
+ Revision: 1459479
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 0.21-2.mga8
+ Revision: 1421019
- rebuild with gtk3 enabled wxgtk 3.1.2

* Tue Apr 09 2019 barjac <barjac> 0.21-1.mga7
+ Revision: 1387245
- new version 0.21

* Sun Feb 10 2019 barjac <barjac> 0.20-1.mga7
+ Revision: 1364721
- new version 0.20

* Sun Sep 23 2018 umeabot <umeabot> 0.9-3.mga7
+ Revision: 1299997
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.9-2.mga7
+ Revision: 1239510
- fix build on aarch64

* Thu Apr 19 2018 barjac <barjac> 0.9-1.mga7
+ Revision: 1220024
- new version 0.9

* Thu Aug 24 2017 ovitters <ovitters> 0.7-3.mga7
+ Revision: 1145386
+ rebuild (emptylog)

* Sat Jun 03 2017 akien <akien> 0.7-3.mga6
+ Revision: 1106113
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 0.7-2.mga6
+ Revision: 1019833
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 29 2016 barjac <barjac> 0.7-1.mga6
+ Revision: 980793
- new version 0.7
- fix files list

* Tue Feb 16 2016 barjac <barjac> 0.6-3.mga6
+ Revision: 962341
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 0.6-2.mga6
+ Revision: 961936
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 0.6-1.mga6
+ Revision: 908779
- new package opencpn-objsearch-plugin

